summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorfukachan <fukachan>2001-10-12 09:01:24 +0000
committerfukachan <fukachan>2001-10-12 09:01:24 +0000
commit3858ac11ffcf78ff73019d5643af61256ceb9e47 (patch)
tree75d59a429776e2e58a29207dd3955d337da8ff4a
parentd1a78a8eb34b8560df334d70a435d6a1a2ad0f87 (diff)
downloadfml8-3858ac11ffcf78ff73019d5643af61256ceb9e47.tar.gz
fml8-3858ac11ffcf78ff73019d5643af61256ceb9e47.tar.bz2
fml8-3858ac11ffcf78ff73019d5643af61256ceb9e47.zip
renamed. test.sh wraps emul_post.sh
-rwxr-xr-xregress/simulation/emul_command.sh42
-rwxr-xr-xregress/simulation/emul_post.sh (renamed from regress/simulation/test-ctl.sh)3
-rwxr-xr-xregress/simulation/test.sh36
3 files changed, 45 insertions, 36 deletions
diff --git a/regress/simulation/emul_command.sh b/regress/simulation/emul_command.sh
new file mode 100755
index 00000000..80bd138c
--- /dev/null
+++ b/regress/simulation/emul_command.sh
@@ -0,0 +1,42 @@
+#!/bin/sh
+#
+# $FML: test-ctl.sh,v 1.1 2001/10/08 15:42:01 fukachan Exp $
+#
+
+buf=$PWD/__command$$__
+trap "rm -f $buf" 0 1 3 15
+
+
+DO () {
+ (
+ pwd=`pwd`
+ cd ../.. || exit 1
+ pwd
+
+ test -f $msg || return;
+
+ regress/message/scramble.pl $msg |\
+ ${PERL:-perl} -w fml/libexec/loader \
+ --params pwd=$PWD \
+ -c $pwd/main.cf \
+ --ctladdr \
+ /var/spool/ml/elena
+ echo "-- exit code: $?"
+ )
+}
+
+(cd ../../fml/etc/;sh .gen.sh)
+
+
+cat ./../testmails/text=empty > $buf
+cat >> $buf
+
+list=$buf
+
+for msg in $list
+do
+ DO $msg
+done
+
+exit 0
+
diff --git a/regress/simulation/test-ctl.sh b/regress/simulation/emul_post.sh
index 6072cde3..fa7585d9 100755
--- a/regress/simulation/test-ctl.sh
+++ b/regress/simulation/emul_post.sh
@@ -15,7 +15,6 @@ DO () {
${PERL:-perl} -w fml/libexec/loader \
--params pwd=$PWD \
-c $pwd/main.cf \
- --ctladdr \
/var/spool/ml/elena
echo "-- exit code: $?"
)
@@ -25,7 +24,7 @@ if [ "X$*" != X ];then
list=$*
else
pwd=`pwd`
- list=$pwd/../testmails/text=plain.command
+ list=$pwd/../testmails/text=plain
fi
(cd ../../fml/etc/;sh .gen.sh)
diff --git a/regress/simulation/test.sh b/regress/simulation/test.sh
index 8e64704f..2efe1a8f 100755
--- a/regress/simulation/test.sh
+++ b/regress/simulation/test.sh
@@ -1,38 +1,6 @@
#!/bin/sh
#
-# $FML: test.sh,v 1.7 2001/04/08 07:21:59 fukachan Exp $
+# $FML: test.sh,v 1.8 2001/04/14 14:35:08 fukachan Exp $
#
-DO () {
- (
- pwd=`pwd`
- cd ../.. || exit 1
- pwd
-
- test -f $msg || return;
-
- regress/message/scramble.pl $msg |\
- ${PERL:-perl} -w fml/libexec/loader \
- --params pwd=$PWD \
- -c $pwd/main.cf \
- /var/spool/ml/elena
- echo "-- exit code: $?"
- )
-}
-
-if [ "X$*" != X ];then
- list=$*
-else
- pwd=`pwd`
- list=$pwd/../testmails/text=plain
-fi
-
-(cd ../../fml/etc/;sh .gen.sh)
-
-for msg in $list
-do
- DO $msg
-done
-
-exit 0
-
+exec `dirname $0`/emul_post.sh